Loading...
Searching...
No Matches
field_lazy_trans_mult_form_rep< FormExpr, FieldExpr >

## Detailed Description

template<class FormExpr, class FieldExpr>
class rheolef::details::field_lazy_trans_mult_form_rep< FormExpr, FieldExpr >

Definition at line 225 of file field_lazy_form_mult.h.

## Public Types

using | size_type = geo_element::size_type
using | memory_type = typename FieldExpr::memory_type
using | scalar_type = typename FieldExpr::scalar_type
using | space_type = typename FieldExpr::space_type
using | geo_type = typename FieldExpr::geo_type
using | float_type = typename float_traits< scalar_type >::type
using | band_type = band_basic< float_type, memory_type >
using | vector_element_type = Eigen::Matrix< scalar_type, Eigen::Dynamic, 1 >
using | matrix_element_type = Eigen::Matrix< scalar_type, Eigen::Dynamic, Eigen::Dynamic >

## Public Member Functions

| field_lazy_trans_mult_form_rep (const FormExpr &a_expr, const FieldExpr &u_expr)
const geo_type & | get_geo () const
const space_type & | get_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K) const
void | evaluate (const geo_type &omega_K, const geo_element &K, vector_element_type &uk) const

## Protected Attributes

FormExpr | _a_expr
FieldExpr | _u_expr
geo_type | _prev_omega_K
size_type | _prev_K_dis_ie
vector_element_type | _prev_vk

## Member Typedef Documentation

## size_type

template<class FormExpr , class FieldExpr >

using size_type = geo_element::size_type

Definition at line 229 of file field_lazy_form_mult.h.

## memory_type

template<class FormExpr , class FieldExpr >

using memory_type = typename FieldExpr::memory_type

Definition at line 230 of file field_lazy_form_mult.h.

## scalar_type

template<class FormExpr , class FieldExpr >

using scalar_type = typename FieldExpr::scalar_type

Definition at line 231 of file field_lazy_form_mult.h.

## space_type

template<class FormExpr , class FieldExpr >

using space_type = typename FieldExpr::space_type

Definition at line 232 of file field_lazy_form_mult.h.

## geo_type

template<class FormExpr , class FieldExpr >

using geo_type = typename FieldExpr::geo_type

Definition at line 233 of file field_lazy_form_mult.h.

## float_type

template<class FormExpr , class FieldExpr >

using float_type = typename float_traits<scalar_type>::type

Definition at line 234 of file field_lazy_form_mult.h.

## band_type

template<class FormExpr , class FieldExpr >

using band_type = band_basic<float_type,memory_type>

Definition at line 235 of file field_lazy_form_mult.h.

## vector_element_type

template<class FormExpr , class FieldExpr >

using vector_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,1>

Definition at line 236 of file field_lazy_form_mult.h.

## matrix_element_type

template<class FormExpr , class FieldExpr >

using matrix_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,Eigen::Dynamic>

Definition at line 237 of file field_lazy_form_mult.h.

## Constructor & Destructor Documentation

## field_lazy_trans_mult_form_rep()

template<class FormExpr , class FieldExpr >

field_lazy_trans_mult_form_rep | ( | const FormExpr & | a_expr,
|  | const FieldExpr & | u_expr
| ) |  |

Definition at line 266 of file field_lazy_form_mult.h.

## Member Function Documentation

## get_geo()

template<class FormExpr , class FieldExpr >

const geo_type & get_geo | ( |  | ) | const

Definition at line 245 of file field_lazy_form_mult.h.

## get_space()

template<class FormExpr , class FieldExpr >

const space_type & get_space | ( |  | ) | const

Definition at line 246 of file field_lazy_form_mult.h.

## is_on_band()

template<class FormExpr , class FieldExpr >

bool is_on_band | ( |  | ) | const

Definition at line 247 of file field_lazy_form_mult.h.

## get_band()

template<class FormExpr , class FieldExpr >

band_type get_band | ( |  | ) | const

Definition at line 248 of file field_lazy_form_mult.h.

## initialize()

template<class FormExpr , class FieldExpr >

void initialize | ( | const geo_type & | omega_K | ) | const

Definition at line 278 of file field_lazy_form_mult.h.

## evaluate()

template<class FormExpr , class FieldExpr >

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | vector_element_type & | uk
| ) |  | const

Definition at line 303 of file field_lazy_form_mult.h.

## Member Data Documentation

## _a_expr

template<class FormExpr , class FieldExpr >

FormExpr _a_expr

mutable protected

Definition at line 258 of file field_lazy_form_mult.h.

## _u_expr

template<class FormExpr , class FieldExpr >

FieldExpr _u_expr

mutable protected

Definition at line 259 of file field_lazy_form_mult.h.

## _prev_omega_K

template<class FormExpr , class FieldExpr >

geo_type _prev_omega_K

mutable protected

Definition at line 260 of file field_lazy_form_mult.h.

## _prev_K_dis_ie

template<class FormExpr , class FieldExpr >

size_type _prev_K_dis_ie

mutable protected

Definition at line 261 of file field_lazy_form_mult.h.

## _prev_vk

template<class FormExpr , class FieldExpr >

vector_element_type _prev_vk

mutable protected

Definition at line 262 of file field_lazy_form_mult.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_lazy_form_mult.h